# FoundationClasses
TKMath
Bnd

# Bnd_SeqOfBox Class Reference

`#include <Bnd_SeqOfBox.hxx>`

Inheritance diagram for Bnd_SeqOfBox:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| Bnd_SeqOfBox ()
Standard_EXPORT void | Clear ()
| ~Bnd_SeqOfBox ()
Standard_EXPORT const Bnd_SeqOfBox & | Assign (const Bnd_SeqOfBox &Other)
const Bnd_SeqOfBox & | operator= (const Bnd_SeqOfBox &Other)
Standard_EXPORT void | Append (const Bnd_Box &T)
void | Append (Bnd_SeqOfBox &S)
Standard_EXPORT void | Prepend (const Bnd_Box &T)
void | Prepend (Bnd_SeqOfBox &S)
void | InsertBefore (const Standard_Integer Index, const Bnd_Box &T)
void | InsertBefore (const Standard_Integer Index, Bnd_SeqOfBox &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Bnd_Box &T)
void | InsertAfter (const Standard_Integer Index, Bnd_SeqOfBox &S)
Standard_EXPORT const Bnd_Box & | First () const
Standard_EXPORT const Bnd_Box & | Last () const
void | Split (const Standard_Integer Index, Bnd_SeqOfBox &Sub)
Standard_EXPORT const Bnd_Box & | Value (const Standard_Integer Index) const
const Bnd_Box & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Bnd_Box &I)
Standard_EXPORT Bnd_Box & | ChangeValue (const Standard_Integer Index)
Bnd_Box & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | Bnd_SeqOfBox (const Bnd_SeqOfBox &Other)

## Constructor & Destructor Documentation

Bnd_SeqOfBox::Bnd_SeqOfBox | ( |  | ) |

Bnd_SeqOfBox::~Bnd_SeqOfBox | ( |  | ) | `[inline]`

Standard_EXPORT Bnd_SeqOfBox::Bnd_SeqOfBox | ( | const Bnd_SeqOfBox & | Other | ) | `[private]`

## Member Function Documentation

void Bnd_SeqOfBox::Append | ( | Bnd_SeqOfBox & | S | ) |

Standard_EXPORT void Bnd_SeqOfBox::Append | ( | const Bnd_Box & | T | ) |

Standard_EXPORT const Bnd_SeqOfBox& Bnd_SeqOfBox::Assign | ( | const Bnd_SeqOfBox & | Other | ) |

Standard_EXPORT Bnd_Box& Bnd_SeqOfBox::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Bnd_SeqOfBox::Clear | ( |  | ) |

Standard_EXPORT const Bnd_Box& Bnd_SeqOfBox::First | ( |  | ) | const

void Bnd_SeqOfBox::InsertAfter | ( | const Standard_Integer | Index,
|  | Bnd_SeqOfBox & | S
| ) |

Standard_EXPORT void Bnd_SeqOfBox::InsertAfter | ( | const Standard_Integer | Index,
|  | const Bnd_Box & | T
| ) |

void Bnd_SeqOfBox::InsertBefore | ( | const Standard_Integer | Index,
|  | Bnd_SeqOfBox & | S
| ) |

void Bnd_SeqOfBox::InsertBefore | ( | const Standard_Integer | Index,
|  | const Bnd_Box & | T
| ) |

Standard_EXPORT const Bnd_Box& Bnd_SeqOfBox::Last | ( |  | ) | const

void Bnd_SeqOfBox::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Bnd_SeqOfBox::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

void* Bnd_SeqOfBox::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BaseSequence.

Bnd_Box& Bnd_SeqOfBox::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Bnd_Box& Bnd_SeqOfBox::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const Bnd_SeqOfBox& Bnd_SeqOfBox::operator= | ( | const Bnd_SeqOfBox & | Other | ) | `[inline]`

void Bnd_SeqOfBox::Prepend | ( | Bnd_SeqOfBox & | S | ) |

Standard_EXPORT void Bnd_SeqOfBox::Prepend | ( | const Bnd_Box & | T | ) |

Standard_EXPORT void Bnd_SeqOfBox::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void Bnd_SeqOfBox::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void Bnd_SeqOfBox::SetValue | ( | const Standard_Integer | Index,
|  | const Bnd_Box & | I
| ) |

void Bnd_SeqOfBox::Split | ( | const Standard_Integer | Index,
|  | Bnd_SeqOfBox & | Sub
| ) |

Standard_EXPORT const Bnd_Box& Bnd_SeqOfBox::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- Bnd_SeqOfBox.hxx